<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <link type="text/css" rel="stylesheet" href="eShuttle.css"/>
      <title>
        <xsl:value-of select="eShuttle/headerdata/Header"/>
      </title>
      <body>
        <table width="100%" class="titledata">
          <tr>
            <td>
              <xsl:value-of select="eShuttle/headerdata/Header"/>
            </td>
            <td align="right" class="headercoloring">
              <xsl:value-of select="eShuttle/headerdata/ReportDate"/>
            </td>
          </tr>
          <br></br>
          <tr>
            <td align="left" class="header2coloring">
              <xsl:value-of select="eShuttle/headerdata/eShuttleUrl"/>
            </td>
          </tr>
        </table>
        <hr></hr>
        <br></br>
        <table cellspacing="3" cellpadding="3" width="100%" class="tabledata">
          <tr class="tableheader" >
            <th align="left" font-color="#f9f9f9" colspan="2">
              <xsl:value-of select="eShuttle/RolesHeader"/>
            </th>
          </tr>

          <tr class="headerdata" >
            <th align="left" width="20%">
              <xsl:value-of select="eShuttle/RolesHeaderData"/>
            </th>
            <th width="80%" bgcolor="#ffffff"></th>
          </tr >

          <xsl:for-each select="eShuttle/roles/role">

            <tr >
              <td>
                <xsl:value-of select="RoleAssigned"/>
              </td>
              <td>
              </td>
            </tr>
          </xsl:for-each>

          <tr></tr>

          <tr></tr>
        </table>

        <table cellspacing="3" cellpadding="3" width="100%" class="tabledata">
          <tr class="tableheader" >
            <th align="left" font-color="#f9f9f9" colspan ="8">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/Title"/>
            </th>
          </tr>

          <tr class="headerdata">
            <th width="10%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/PolicyName"/>
            </th>
            <th width="15%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/Description"/>
            </th>
            <th width="10%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/SAPServer"/>
            </th>
            <th width="15%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/AllowedSystemUsageLevels"/>
            </th>
            <th width="10%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/MaxRecordsExtractedPerRun"/>
            </th>
            <th width="15%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/AllowedSAPTables"/>
            </th>
            <th width="15%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/DisAllowedSAPTables"/>
            </th>
            <th width="20%" align="left">
              <xsl:value-of select="eShuttle/PoliciesHeaderData/TimeZone"/>
            </th>
          </tr >

          <xsl:for-each select="eShuttle/policies/policy">
            <tr>
              <td>
                <b>
                  <xsl:value-of select="Name"/>
                </b>
              </td>
              <td >
                <xsl:value-of select="Description"/>
              </td>
              <td >
                <xsl:value-of select="SAPServer"/>
              </td>
              <td >
                <xsl:value-of select="AllowedSystemUsageLevels"/>
              </td>
              <td >
                <xsl:value-of select="MaxRecordsExtractedPerRun"/>
              </td>
              <td >
                <xsl:value-of select="AllowedSAPTables"/>
              </td>
              <td >
                <xsl:value-of select="DisAllowedSAPTables"/>
              </td>
              <td >
                <xsl:value-of select="TimeZoneInformation"/>
              </td>
            </tr>
            <xsl:if test ="AccessType = 1">
              <tr class="Subheaderdata">
                <th bgcolor="#ffffff"></th>
                <th width="20%" colspan="7"  align="left">
                  <xsl:value-of select="StandardAccessHeader"/>
                </th>
              </tr >
            </xsl:if>
            <xsl:if test ="AccessType = 2">
              <tr class="Subheaderdata">
                <th bgcolor="#ffffff"></th>
                <th width="20%" align="left">
                  <xsl:value-of select="WeeklyAccessDaysHeader"/>
                </th>
                <th width="15%" align="left">
                  <xsl:value-of select=" TimeFromHeader"/>
                </th>
                <th width="15%" colspan="5"  align="left">
                  <xsl:value-of select="TimeToHeader"/>
                </th>
              </tr >

              <xsl:for-each select="DaysWiseAccess">
                <tr>
                  <td></td>

                  <td>
                    <xsl:value-of select="DayAllowed"/>
                  </td>
                  <td>
                    <xsl:value-of select="TimeFrom"/>
                  </td>
                  <td>
                    <xsl:value-of select="TimeTo"/>
                  </td>
                  <td></td>
                  <td></td>
                  <td></td>
                  <td></td>
                </tr>
              </xsl:for-each>
            </xsl:if>
            <xsl:if test ="AccessType = 3">
              <tr class="Subheaderdata">
                <th bgcolor="#ffffff"></th>
                <th width="20%" align="left">
                  <xsl:value-of select="MonthlyAccessHeader"/>
                </th>
                <th width="15%" colspan ="6"  align="left">
                  <xsl:value-of select="DaysHeader"/>
                </th>
              </tr>
              <xsl:for-each select="DaysWiseAccess">
                <tr>
                  <td></td>

                  <td>
                    <xsl:value-of select="MonthAllowed"/>
                  </td>
                  <td>
                    <xsl:value-of select="MonthDay"/>
                  </td>
                  <td></td>
                  <td></td>
                  <td></td>
                  <td></td>
                </tr>
              </xsl:for-each>
            </xsl:if>

            <tr></tr>
            <tr></tr>
            <tr>
              <td colspan ="7">
                <hr></hr>
              </td>
            </tr>
          </xsl:for-each>

          <tr>
            <td colspan="2">
              <br></br>
              <p class="headerdata">
                <hr></hr>
                <xsl:value-of select="eShuttle/footerdata/CopyRight"/>
              </p>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
