<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <link type="text/css" rel="stylesheet" href="supportshuttle.css"/>
      <title>
        <xsl:value-of select="supportshuttle/headerdata/Header"/>
      </title>
      <body>
        <table width="100%" class="headerdata">
          <tr>
            <td >
              <font size="6">
                <xsl:value-of select="supportshuttle/headerdata/Header"/>
              </font>
              (Ver: <xsl:value-of select="supportshuttle/headerdata/Version"/>)
            </td>
            <td align="right" class="headercoloring">
              Date of Report:
              <xsl:value-of select="supportshuttle/headerdata/ReportDate"/>
            </td>
          </tr>
        </table>
        <hr></hr>
        <table cellspacing="2" cellpadding="3" width="100%" class="tabledata">
          <tr class="tableheader" >
            <th align="left" font-color="#f9f9f9" colspan ="2">Running Application Info</th>
          </tr>
          <xsl:for-each select="supportshuttle/cmdparams/Param">
            <tr>
              <td colspan="2">
                <table width="100%" cellspacing="0" cellpadding="3" class="tabledata">
                  <tr bgcolor="#bfbfbf" >
                    <th align="left" width="100%" colspan="2">
                      <xsl:value-of select="Header"/>
                    </th>
                  </tr>
                  <xsl:for-each select="Data">
                    <tr >
                      <td width="30%">
                        <xsl:value-of select="Name"/>
                      </td>
                      <td width="70%">
                        <xsl:value-of select="Value"/>
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" font-color="#f9f9f9" colspan ="2">Current User Info</th>
          </tr>
          <tr>
            <td colspan="2">
              <table width="100%" cellspacing="2" cellpadding="3" class="tabledata">
                <xsl:for-each select="supportshuttle/user/info">
                  <tr >
                    <td width="30%" bgcolor="#efefef">
                      <xsl:value-of select="Name"/>
                    </td>
                    <td width="70%" bgcolor="#efefef">
                      <xsl:value-of select="Value"/>
                    </td>
                  </tr>
                </xsl:for-each>
              </table>
            </td>
          </tr>

          <tr class="tableheader">
            <th align="left">Application Name</th>
            <th align="left">Version</th>
          </tr >
          <xsl:for-each select="supportshuttle/appversioninfo/Application">
            <tr >
              <td width="30%" bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td width="70%" bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>
          <tr></tr>
          <tr></tr>
          <xsl:for-each select="supportshuttle/productvinfo/Product">
            <tr class="tableheader">
              <td>
                <xsl:value-of select="Name"/>
              </td>
              <td>
                <xsl:value-of select="Value"/>
              </td>
            </tr>
            <tr>
              <!--<td></td>-->

              <td colspan ="2">
                <xsl:if test="Value != 'Not Installed'">
                  <table width="100%" cellspacing="2" cellpadding="3" class="tabledata">
                    <tr bgcolor="#bfbfbf">
                      <th align="left" width="30%">File Name</th>
                      <th align="left" width="35%">Version</th>
                      <th align="left" width="25%">Modified Date</th>
                      <th align="left" width="10%">Size</th>
                    </tr>
                    <xsl:for-each select="FileInfo">
                      <tr >
                        <td bgcolor="#efefef">
                          <xsl:value-of select="Name"/>
                        </td>
                        <td bgcolor="#efefef">
                          <xsl:value-of select="Version"/>
                        </td>
                        <td bgcolor="#efefef">
                          <xsl:value-of select="ModifiedDate"/>
                        </td>
                        <td bgcolor="#efefef">
                          <xsl:value-of select="Size"/>
                        </td>
                      </tr>
                    </xsl:for-each>
                  </table>
                </xsl:if>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Conectivity and Reachability</th>
          </tr>
          <xsl:for-each select="supportshuttle/connectivity/Item">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Operating system Settings</th>
          </tr>
          <xsl:for-each select="supportshuttle/envsettings/OSSettings/Setting">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Regional Settings</th>
          </tr>
          <xsl:for-each select="supportshuttle/envsettings/RegionalSettings/Setting">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Winshuttle Add-in Settings</th>
          </tr>
          <xsl:for-each select="supportshuttle/envsettings/RegistrySettings/Setting">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">SHUTTLE Settings</th>
          </tr>
          <xsl:for-each select="supportshuttle/envsettings/SHUTTLESettings/Setting">
            <tr>
              <td>
                <xsl:value-of select="Name"/>
              </td>
              <td>
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Trace Files</th>
          </tr>
          <xsl:for-each select="supportshuttle/tracefiles/Trace">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">License Files</th>
          </tr>
          <tr bgcolor="#bfbfbf">
            <td>File Name</td>
            <td>Content</td>
          </tr>
          <xsl:for-each select="supportshuttle/licensefileinfo/License">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">.Net Assemblies</th>
          </tr>
          <xsl:for-each select="supportshuttle/assemblies/Assembly">
            <tr>
              <td bgcolor="#efefef">
                <xsl:value-of select="Name"/>
              </td>
              <td bgcolor="#efefef">
                <xsl:value-of select="Value"/>
              </td>
            </tr>
          </xsl:for-each>

          <tr class="tableheader" >
            <th align="left" colspan ="2">Registry Key Values</th>
          </tr>
          <!--<tr bgcolor="#bfbfbf">
            <td width ="30%">Key Name</td>
            <td>Value</td>
          </tr>-->
          <tr>
            <td colspan="2">
              <table width="100%" cellspacing="2" cellpadding="3" class="tabledata">
                <xsl:for-each select="supportshuttle/registrykeys/RegisrtyKey">
                  <tr>
                    <td width ="70%" bgcolor="#efefef">
                      <xsl:value-of select="Name"/>
                    </td>
                    <td align="left" bgcolor="#efefef">
                      <xsl:value-of select="Value"/>
                    </td>
                  </tr>
                </xsl:for-each>
              </table>
            </td>
          </tr>

          <tr>
            <td colspan="2">
              <br></br>
              <p class="headerdata">
                <hr></hr>
                <xsl:value-of select="supportshuttle/footerdata/CopyRight"/>
              </p>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
